<?php
require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;

$html = '';
$html .='
<style>
	table {
		width:100%;
	font-size:13px;
	}
    .tbl-marcaje th {
      color: #fff;
      background-color: #000000;
    }
    .tbl-marcaje tr {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(2) {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(even) {
        background-color: #eee;
    }
     
    .tbl-marcaje tr:nth-child(odd) {
        background-color: #fff;
    }
    .tbl-cabecera{
		width:100%;
	}
</style>';



	$url = 'http://200.24.13.60/~program1/power-time-api/public/informehoraextra';
	$ch = curl_init($url); 
	$payload = json_encode(array('fecha_inicio' => $_POST["txtFecha_inicio"], 'fecha_termino' => $_POST["txtFecha_termino"]));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
	$result = curl_exec($ch); 
	$array = json_decode($result);

	$html .="<img src='../img/logo.jpg' style='height:40px;' />";
	$html .="<center><h3>Reporte Autorizaci&oacute;n Hora Extras</h3></center>";  

	$html .= "<table class='tbl-cabecera'>";
	$html .= "<tr>";
	$html .= "<td><b>FECHA EMISION :</b> ".date("d-m-Y")."</td>";
	$html .= "<td><b>PERIODO DESDE :</b> ".$_POST["txtFecha_inicio"]."</td>";
	$html .= "<td><b>PERIODO DESDE :</b> ".$_POST["txtFecha_inicio"]."</td>";
	$html .= "</tr>";
	$html .= "<tr>";
	$html .= "<td colspan ='2'><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>";
	$html .= "<td><b>RUT :</b> 70.983.600-5</td>";
	$html .= "<td></td>";			
	$html .= "</tr>";			
	$html .= "</table><br />";
        
		
	$html .= "<table class='tbl-marcaje'>";
	$html .= "<thead>";
	$html .= "<tr>";	
	$html .= "<th>FECHA</th>";	
 	$html .= "<th>CANTIDAD APROBADA</th>";	
	$html .= "<th>RUT</th>";	
	$html .= "<th>TRABAJADOR</th>";				
	$html .= "</tr>";
	$html .= "</thead>";
	$html .= "<tbody>";

		
    $cantidad = "00:00:00";
	foreach ($array[0] as $row) {

			$html .= "<tr>";
			$html .= "<td>".$row->fecha ."</td>";						
			$html .= "<td>".$row->cantidad ."</td>";						
			$html .= "<td>".$row->rut ."</td>";	
			$html .= "<td>".$row->nombre ." ".$row->apellido ."</td>";			
			$html .= "</tr>";
             
		    if(!empty($row->cantidad)) { $cantidad = suma_horas($cantidad, $row->cantidad); }				 

	}
	
	$html .= "<tr>";					
	$html .= "<td><b>TOTAL :</b></td>";	
	$html .= "<td><b>".$cantidad ."</b></td>";						
	$html .= "<td></td>";	
	$html .= "<td></td>";			
	$html .= "</tr>";	
	$html .= "</tbody>";
	$html .= "</table>";

	
	curl_close($ch); 


function suma_horas($hora1,$hora2){
		
    $hora1=explode(":",$hora1);
    $hora2=explode(":",$hora2);
    $temp=0;
    $segundos=(int)$hora1[2]+(int)$hora2[2];
    while($segundos>=60){
        $segundos=$segundos-60;
        $temp++;
    }
    $minutos=(int)$hora1[1]+(int)$hora2[1]+$temp;
    $temp=0;
    while($minutos>=60){
        $minutos=$minutos-60;
        $temp++;
    }

    $horas=(int)$hora1[0]+(int)$hora2[0]+$temp;
    if($horas<10){ $horas= '0'.$horas; }
    if($minutos<10){ $minutos= '0'.$minutos; }
    if($segundos<10){ $segundos= '0'.$segundos; }

    $sum_hrs = $horas.':'.$minutos.':'.$segundos;
    return ($sum_hrs);

}


$pdf = new DOMPDF();
$pdf->set_paper("A4", "landscape");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

?>
